RIGSMTR(1)

NAME
rigsmtr - measure S-Meter vs azimuth using Hamlib

SYNOPSIS
rigsmtr [-hvV] [-m id] [-r device] [-s baud] [-c id] [-C parm=val] [-M id] [-R device] [-S baud] [-N parm=val] [time_step]

DESCRIPTION
rigsmtr uses Hamlib to control a radio to measure S-Meter value versus antenna azimuth.

It rotates the antenna from minimum azimuth to maximum azimuth. Every second, or time_step if specified in seconds, it retrieves the signal strength. Azimuth in degrees and the corresponding S-Meter level in dB relative to S9 are then printed on stdout.

To work correctly, rigsmtr needs a radio that could measure S-Meter and a Hamlib backend that is able to retrieve it, connected to a Hamlib supported rotator.

Keep in mind that Hamlib is BETA level software. While a lot of backend libraries lack complete radio support, the basic functions are usually well supported.

Please report bugs and provide feedback at the e-mail address given in the BUGS section below. Patches and code enhancements sent to the same address are welcome.

OPTIONS
This program follows the usual GNU command line syntax. Short options that take an argument may have the value follow immediately or be separated by a space. Long options starting with two dashes (‘-’) require an ‘=’ between the option and any argument.

Here is a summary of the supported options.

-m, --model=id
    Select radio model number.

    See model list (use “rigctl -l”).

-r, --rig-file=device
    Use device as the file name of the port connected to the radio.

    Often a serial port, but could be a USB to serial adapter. Typically /dev/ttyS0, /dev/ttyS1, /dev/ttyUSB0, etc. on Linux, COM1, COM2, etc. on MS Windows. The BSD flavors and Mac OS/X have their own designations. See your system's documentation.

-s, --serial-speed=baud
    Set radio serial speed to baud rate.

    Uses maximum serial speed from radio backend capabilities as the default.

-c, --civaddr=id
    Use id as the CI-V address to communicate with the radio.

    Only useful for Icom and some Ten-Tec radios.

    Note: The id is in decimal notation, unless prefixed by 0x, in which case it is hexadecimal.

-C, --set-conf=parm=val[,parm=val]
    Set radio configuration parameter(s), e.g. stop_bits=2.

    Use the -L option of rigctl for a list of configuration parameters for a given model number.

-M, --rot-model=id
    Select rotator model number.

    See model list (use “rotctl -l”).

-R, --rot-file=device
    Use device as the file name of the port connected to the rotator.

    Often a serial port, but could be a USB to serial adapter. Typically /dev/ttyS0, /dev/ttyS1, /dev/ttyUSB0, etc. on Linux, COM1, COM2, etc. on MS Windows. The BSD flavors and Mac OS/X have their own designations. See your system's documentation.

-S, --rot-serial-speed=baud
    Set rotator serial speed to baud rate.

    Uses maximum serial speed from rotator backend capabilities as the default.

-N, --rot-set-conf=parm=val[,parm=val]
    Set rotator configuration parameter(s), e.g. stop_bits=2.

    Use the -L option of rotctl for a list of configuration parameters for a given model number.

-v, --verbose
    Set verbose mode, cumulative (see DIAGNOSTICS below).

-h, --help
    Show a summary of these options and exit.

-V, --version
    Show version of rigsmtr and exit.

Note: Some options may not be implemented by a given backend and will return an error. This is most likely to occur with the --set-conf and --rot-set-conf options.

DIAGNOSTICS
The -v, --verbose option allows different levels of diagnostics to be output to stderr and correspond to -v for BUG, -vv for ERR, -vvv for WARN, -vvvv for VERBOSE, or -vvvvv for TRACE.

A given verbose level is useful for providing needed debugging information to the email address below. For example, TRACE output shows all of the values sent to and received from the radio which is very useful for radio backend library development and may be requested by the developers.

EXIT STATUS
rigsmtr exits with:

0   if all operations completed normally;

1   if there was an invalid command line option or argument;

2   if an error was returned by Hamlib;

3   if the radio doesn't have the required capabilities.

EXAMPLE
Collect S-Meter readings on a TS-850 while an EasycommII rotator makes a full 360° rotation and record measurements in the file csmtr:

        rigsmtr -m 209 -r /dev/ttyS1 -M 202 > csmtr

After completion the file csmtr contains lines such as:

        0 -47
        30 -40
        60 -22
        90 -3
        120 10
        150 1
        180 -11
        210 -24
        240 -35
        270 -42
        300 -48
        330 -51
        360 -49

The results can be plotted with gnuplot(1):

        gnuplot
        set angles degrees
        set polar
        set grid polar 15.
        unset border
        unset param
        set style data line
        set rrange [-60:60]
        set xrange [-60:60]
        set yrange [-60:60]
        plot csmtr

BUGS
Report bugs to:

    Hamlib Developer mailing list
    hamlib-developer@lists.sourceforge.net

COPYING
This file is part of Hamlib, a project to develop a library that simplifies radio and rotator control functions for developers of software primarily of interest to radio amateurs and those interested in radio communications.

Copyright © 2007-2009 Stephane Fillod
Copyright © 2018 Nate Bargmann

This is free software; see the file COPYING for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
gnuplot(1), rigctl(1), rotctl(1), hamlib(7)

COLOPHON
Links to the Hamlib Wiki, Git repository, release archives, and daily snapshot archives:

    hamlib.org (http://www.hamlib.org).